Home » Minecraft Mods » iChun Util Mod 1.12.2/1.10.2/1.7.10

iChun Util Mod 1.12.2/1.10.2/1.7.10

This mod is a shared library required by a couple of iChun’s Mods. Made for Minecraft 1.10.2 or later.

Example: iChun’s Hats Mod, Portal Gun Mod, Sync Mod, The Doors Mod, Keygrip Mod, Attachable Grinder ModGravity Gun ModHat Stand Mod

iChun-Util-Mod.jpg

 

How to install:

  • Download Minecraft Forge
  • Right click, Run as Administrator and press OK to install Forge. (You can skip this step if you’ve installed Minecraft Forge)
  • Open Start on desktop => Open Run (Or you can use the Windows +R keyboard shortcut)
  • Type %appdata% into Run and press enter
  • Go to folder /.minecraft/mods
  • Put the jar file of mod into mods folder and then run Minecraft. Done!

iChun Util Mod 1.12.2/1.10.2 Download Links:

Older versions:

[spoiler]

For Minecraft 1.5.1

http://dl2.24hminecraft.com/index.php?act=dl&id=1417574748

For Minecraft 1.5.2

http://dl2.24hminecraft.com/index.php?act=dl&id=1417574778

For Minecraft 1.6.4/1.6.2

http://dl2.24hminecraft.com/index.php?act=dl&id=1417574794

For Minecraft 1.7.2

http://dl2.24hminecraft.com/index.php?act=dl&id=1417574810

[/spoiler]

For Minecraft 1.7.10

http://dl2.24hminecraft.com/index.php?act=dl&id=1417574824

For Minecraft 1.8

http://dl2.24hminecraft.com/index.php?act=dl&id=1577974018

For Minecraft 1.10.2

http://dl2.24hminecraft.com/index.php?act=dl&id=1587146051

For Minecraft 1.12.2/1.12.1/1.12

http://dl2.24hminecraft.com/index.php?act=dl&id=1587146071

Check Also

AutoSwitch Mod 1.15.2 Auto Switch Between Tools, Fabric Version

Download and review : AutoSwitch Mod 1.15.2 comes with a useful feature, which predicts the …

No comments

  1. Marcus Blackwell

    keeps saying i need at least 4.0.0 to play… idk what to do D=

  2. When I try to download it my minecraft freezes white.

Leave a Reply

Your email address will not be published. Required fields are marked *